package main

import (
	"context"
	"file_upload/app"
	"file_upload/global"
	"file_upload/simple_zap"
)

func init() {
	err := global.SetupSetting()
	if err != nil {
		simple_zap.WithCtx(context.Background()).Sugar().Warn(err)
		return
	}
	global.SetupMongo()
	//global.SetupRedisLink()
}
func main() {
	err := app.InitRouter()
	if err != nil {
		simple_zap.WithCtx(context.Background()).Sugar().Warn(err)
		return
	}
}
